
Katello - Bug #4101

Label textfield can't be selected without selecting description first

01/16/2014 05:48 PM - Katello Issue Migration

Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Katello Version: 1.4.1-1.git.203.1c22762.el6_4

Create an org

fill in name

select label textfield

it can't be selected.  Firefox 20 - chrome works fine.

Note that this may be related to an issue with the automation, it is able to fill in the textfield, but the form submit still thinks that it is

blank.

Created: weissjeffm on April 24, 2013 13:33 +00:00

Imported from https://api.github.com/repos/Katello/katello/issues/2056

Comment 1

@weissjeffm This appears to be a difference in how Chrome and Firefox handle events on disabled inputs. Chrome appears to

register register clicks on the disabled input field while Firefox respects the disabled flag more directly by disallowing any interaction

with it. Tabbing off of the name field will enable/select the label field on both browsers. The alternative is to do manual 'disabling' of

the input from JS and not use the browser's built in disabled property.

Created: ehelms on May 10, 2013 14:15 +00:00

Imported from https://api.github.com/repos/Katello/katello/issues/comments/17722507

History

#1 - 04/08/2014 06:47 PM - Eric Helms

- Status changed from New to Closed

- Triaged set to No

Closing due to the changes in how the UI works from when this was originally filed.

#2 - 06/06/2014 01:33 PM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/21/2014 02:28 PM - Eric Helms

- translation missing: en.field_release set to 13
